Developers
A small REST API, signed webhooks and a hosted checkout.
Three steps
curl -X POST \ https://api.payerfox.com/api/v1/payments \ -H "Authorization: Bearer pd_live_…" \ -H "Idempotency-Key: ord-1042" \ -H "Content-Type: application/json" \ -d '{"amount":"10.00","currency":"USD", "merchantOrderId":"ord-1042", "tags":["courses"], "successUrl":"https://…"}'
// received = signature header (see docs) const expected = crypto .createHmac('sha256', WEBHOOK_SECRET) .update(rawBody) .digest('hex'); if (!crypto.timingSafeEqual( Buffer.from(expected), Buffer.from(received))) return res.status(401).end(); if (event.type === 'payment.paid') fulfil(event);